workspaces_access_alerts_data_retrieve
GET
/api/workspaces/{id}/access-alerts/data
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-alerts/data?cause=no_credentials';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-alerts/data?cause=no_credentials' \ --header 'Authorization: Bearer <token>'List the data of a workspace that the user sees but cannot open for one cause.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this workspace.
Query Parameters
Section titled “Query Parameters”cause
required
string
The cause of the alert whose data are listed.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
A data object that the user sees but cannot open.
object
id
required
string format: uuid
name
required
string
connection
required
Return the connection holding the data object.
Parameters
obj : Data The data object.
Returns
dict The identifier and name of the connection.
object
key
additional properties
verified_time
required
string format: date-time
links
required
Return the links of the data object to the nodes the user sees.
Parameters
obj : Data
The data object, with its visible_links prefetched.
Returns
list[dict] For each link, the node and the user who linked the data to it.
Array<object>
object
key
additional properties
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "cause", "code": "invalid_choice", "message": "\"<parameter_value>\" is not a valid choice." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "workspace", "code": "not_allowed", "message": "You are not a member of this workspace." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
